/*===========================================================================*/
/*   (Llib/binary.scm)                                                       */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -O3 -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Llib/binary.scm -indent -o objs/obj_u/Llib/binary.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t
		BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern int bgl_input_fill_string(obj_t, obj_t);
	static obj_t BGl__inputzd2string2021zd2zz__binaryz00(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl__inputzd2obj2016zd2zz__binaryz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_inputzd2stringzd2zz__binaryz00(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__binaryz00 = BUNSPEC;
	extern int bgl_output_string(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_outputzd2stringzd2zz__binaryz00(obj_t, obj_t);
	static obj_t BGl__openzd2inputzd2binaryzd2f2013zd2zz__binaryz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__binaryz00();
	static obj_t BGl__inputzd2fillzd2stringz12z12zz__binaryz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__outputzd2string2020zd2zz__binaryz00(obj_t, obj_t, obj_t);
	extern obj_t output_obj(obj_t, obj_t);
	BGL_EXPORTED_DECL int BGl_inputzd2fillzd2stringz12z12zz__binaryz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2054z00zz__binaryz00 = BUNSPEC;
	static obj_t BGl_symbol2058z00zz__binaryz00 = BUNSPEC;
	static obj_t BGl_symbol2060z00zz__binaryz00 = BUNSPEC;
	static obj_t BGl_symbol2062z00zz__binaryz00 = BUNSPEC;
	static obj_t BGl_symbol2065z00zz__binaryz00 = BUNSPEC;
	static obj_t BGl_symbol2067z00zz__binaryz00 = BUNSPEC;
	static obj_t BGl_symbol2069z00zz__binaryz00 = BUNSPEC;
	static obj_t BGl_symbol2071z00zz__binaryz00 = BUNSPEC;
	static obj_t BGl_symbol2074z00zz__binaryz00 = BUNSPEC;
	static obj_t BGl_symbol2076z00zz__binaryz00 = BUNSPEC;
	static obj_t BGl_symbol2078z00zz__binaryz00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zz__binaryz00();
	static obj_t BGl_symbol2081z00zz__binaryz00 = BUNSPEC;
	static obj_t BGl__outputzd2obj2017zd2zz__binaryz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00();
	static obj_t BGl__appendzd2outputzd2binar2012z00zz__binaryz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t close_binary_port(obj_t);
	static obj_t BGl__closezd2binaryzd2port2014z00zz__binaryz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t,
		unsigned char);
	extern obj_t open_output_binary_file(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_flushzd2binaryzd2portz00zz__binaryz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t, obj_t);
	static obj_t BGl__outputzd2char2018zd2zz__binaryz00(obj_t, obj_t, obj_t);
	static obj_t BGl__openzd2outputzd2binaryzd22011zd2zz__binaryz00(obj_t, obj_t);
	static obj_t BGl__flushzd2binaryzd2port2015z00zz__binaryz00(obj_t, obj_t);
	extern obj_t bgl_input_string(obj_t, int);
	static obj_t BGl__inputzd2char2019zd2zz__binaryz00(obj_t, obj_t);
	extern obj_t input_obj(obj_t);
	extern obj_t append_output_binary_file(obj_t);
	extern obj_t bgl_flush_binary_port(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t);
	extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t open_input_binary_file(obj_t);
	static obj_t BGl_methodzd2initzd2zz__binaryz00();
	static obj_t BGl__binaryzd2portzf3z21zz__binaryz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_binaryzd2portzf3zd2envzf3zz__binaryz00,
		BgL_bgl__binaryza7d2portza7f2084z00, BGl__binaryzd2portzf3z21zz__binaryz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_inputzd2charzd2envz00zz__binaryz00,
		BgL_bgl__inputza7d2char2012085za7, BGl__inputzd2char2019zd2zz__binaryz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_closezd2binaryzd2portzd2envzd2zz__binaryz00,
		BgL_bgl__closeza7d2binaryza72086z00,
		BGl__closezd2binaryzd2port2014z00zz__binaryz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_outputzd2stringzd2envz00zz__binaryz00,
		BgL_bgl__outputza7d2string2087za7, BGl__outputzd2string2020zd2zz__binaryz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_flushzd2binaryzd2portzd2envzd2zz__binaryz00,
		BgL_bgl__flushza7d2binaryza72088z00,
		BGl__flushzd2binaryzd2port2015z00zz__binaryz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_inputzd2objzd2envz00zz__binaryz00,
		BgL_bgl__inputza7d2obj20162089za7, BGl__inputzd2obj2016zd2zz__binaryz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appendzd2outputzd2binaryzd2filezd2envz00zz__binaryz00,
		BgL_bgl__appendza7d2output2090za7,
		BGl__appendzd2outputzd2binar2012z00zz__binaryz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inputzd2fillzd2stringz12zd2envzc0zz__binaryz00,
		BgL_bgl__inputza7d2fillza7d22091z00,
		BGl__inputzd2fillzd2stringz12z12zz__binaryz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_openzd2outputzd2binaryzd2filezd2envz00zz__binaryz00,
		BgL_bgl__openza7d2outputza7d2092z00,
		BGl__openzd2outputzd2binaryzd22011zd2zz__binaryz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_outputzd2objzd2envz00zz__binaryz00,
		BgL_bgl__outputza7d2obj2012093za7, BGl__outputzd2obj2017zd2zz__binaryz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2055z00zz__binaryz00,
		BgL_bgl_string2055za700za7za7_2094za7, "_open-output-binary-2011", 24);
	      DEFINE_STRING(BGl_string2056z00zz__binaryz00,
		BgL_bgl_string2056za700za7za7_2095za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2057z00zz__binaryz00,
		BgL_bgl_string2057za700za7za7_2096za7,
		"/tmp/bigloo/runtime/Llib/binary.scm", 35);
	      DEFINE_STRING(BGl_string2059z00zz__binaryz00,
		BgL_bgl_string2059za700za7za7_2097za7, "_append-output-binar2012", 24);
	      DEFINE_STRING(BGl_string2061z00zz__binaryz00,
		BgL_bgl_string2061za700za7za7_2098za7, "_open-input-binary-f2013", 24);
	      DEFINE_STRING(BGl_string2063z00zz__binaryz00,
		BgL_bgl_string2063za700za7za7_2099za7, "_close-binary-port2014", 22);
	      DEFINE_STRING(BGl_string2064z00zz__binaryz00,
		BgL_bgl_string2064za700za7za7_2100za7, "binary-port", 11);
	      DEFINE_STRING(BGl_string2066z00zz__binaryz00,
		BgL_bgl_string2066za700za7za7_2101za7, "_flush-binary-port2015", 22);
	      DEFINE_STRING(BGl_string2068z00zz__binaryz00,
		BgL_bgl_string2068za700za7za7_2102za7, "_input-obj2016", 14);
	      DEFINE_STRING(BGl_string2070z00zz__binaryz00,
		BgL_bgl_string2070za700za7za7_2103za7, "_output-obj2017", 15);
	      DEFINE_STRING(BGl_string2072z00zz__binaryz00,
		BgL_bgl_string2072za700za7za7_2104za7, "_output-char2018", 16);
	      DEFINE_STRING(BGl_string2073z00zz__binaryz00,
		BgL_bgl_string2073za700za7za7_2105za7, "char", 4);
	      DEFINE_STRING(BGl_string2075z00zz__binaryz00,
		BgL_bgl_string2075za700za7za7_2106za7, "_input-char2019", 15);
	      DEFINE_STRING(BGl_string2077z00zz__binaryz00,
		BgL_bgl_string2077za700za7za7_2107za7, "_output-string2020", 18);
	      DEFINE_STRING(BGl_string2080z00zz__binaryz00,
		BgL_bgl_string2080za700za7za7_2108za7, "int", 3);
	      DEFINE_STRING(BGl_string2079z00zz__binaryz00,
		BgL_bgl_string2079za700za7za7_2109za7, "_input-string2021", 17);
	      DEFINE_STRING(BGl_string2082z00zz__binaryz00,
		BgL_bgl_string2082za700za7za7_2110za7, "_input-fill-string!", 19);
	      DEFINE_STRING(BGl_string2083z00zz__binaryz00,
		BgL_bgl_string2083za700za7za7_2111za7, "__binary", 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_outputzd2charzd2envz00zz__binaryz00,
		BgL_bgl__outputza7d2char202112za7, BGl__outputzd2char2018zd2zz__binaryz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_inputzd2stringzd2envz00zz__binaryz00,
		BgL_bgl__inputza7d2string22113za7, BGl__inputzd2string2021zd2zz__binaryz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_openzd2inputzd2binaryzd2filezd2envz00zz__binaryz00,
		BgL_bgl__openza7d2inputza7d22114z00,
		BGl__openzd2inputzd2binaryzd2f2013zd2zz__binaryz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long
		BgL_checksumz00_1459, char *BgL_fromz00_1460)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__binaryz00))
				{
					BGl_requirezd2initializa7ationz75zz__binaryz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__binaryz00();
					BGl_importedzd2moduleszd2initz00zz__binaryz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__binaryz00()
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 15 */
			BGl_symbol2054z00zz__binaryz00 =
				bstring_to_symbol(BGl_string2055z00zz__binaryz00);
			BGl_symbol2058z00zz__binaryz00 =
				bstring_to_symbol(BGl_string2059z00zz__binaryz00);
			BGl_symbol2060z00zz__binaryz00 =
				bstring_to_symbol(BGl_string2061z00zz__binaryz00);
			BGl_symbol2062z00zz__binaryz00 =
				bstring_to_symbol(BGl_string2063z00zz__binaryz00);
			BGl_symbol2065z00zz__binaryz00 =
				bstring_to_symbol(BGl_string2066z00zz__binaryz00);
			BGl_symbol2067z00zz__binaryz00 =
				bstring_to_symbol(BGl_string2068z00zz__binaryz00);
			BGl_symbol2069z00zz__binaryz00 =
				bstring_to_symbol(BGl_string2070z00zz__binaryz00);
			BGl_symbol2071z00zz__binaryz00 =
				bstring_to_symbol(BGl_string2072z00zz__binaryz00);
			BGl_symbol2074z00zz__binaryz00 =
				bstring_to_symbol(BGl_string2075z00zz__binaryz00);
			BGl_symbol2076z00zz__binaryz00 =
				bstring_to_symbol(BGl_string2077z00zz__binaryz00);
			BGl_symbol2078z00zz__binaryz00 =
				bstring_to_symbol(BGl_string2079z00zz__binaryz00);
			return (BGl_symbol2081z00zz__binaryz00 =
				bstring_to_symbol(BGl_string2082z00zz__binaryz00), BUNSPEC);
		}
	}



/* binary-port? */
	BGL_EXPORTED_DEF bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t
		BgL_objz00_1)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 129 */
			return BINARY_PORTP(BgL_objz00_1);
		}
	}



/* _binary-port? */
	obj_t BGl__binaryzd2portzf3z21zz__binaryz00(obj_t BgL_envz00_1376,
		obj_t BgL_objz00_1377)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 129 */
			return BBOOL(BINARY_PORTP(BgL_objz00_1377));
		}
	}



/* open-output-binary-file */
	BGL_EXPORTED_DEF obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t
		BgL_strz00_2)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 135 */
			return open_output_binary_file(BgL_strz00_2);
		}
	}



/* _open-output-binary-2011 */
	obj_t BGl__openzd2outputzd2binaryzd22011zd2zz__binaryz00(obj_t
		BgL_envz00_1378, obj_t BgL_strz00_1379)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 135 */
			{	/* Llib/binary.scm 136 */
				obj_t BgL_strz00_1440;

				if (STRINGP(BgL_strz00_1379))
					{	/* Llib/binary.scm 136 */
						BgL_strz00_1440 = BgL_strz00_1379;
					}
				else
					{	/* Llib/binary.scm 136 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol2054z00zz__binaryz00, BGl_string2056z00zz__binaryz00,
							BgL_strz00_1379, BGl_string2057z00zz__binaryz00,
							BINT(((long) 5342)));
						exit(-1);
					}
				return open_output_binary_file(BgL_strz00_1440);
			}
		}
	}



/* append-output-binary-file */
	BGL_EXPORTED_DEF obj_t
		BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_3)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 141 */
			return append_output_binary_file(BgL_strz00_3);
		}
	}



/* _append-output-binar2012 */
	obj_t BGl__appendzd2outputzd2binar2012z00zz__binaryz00(obj_t BgL_envz00_1380,
		obj_t BgL_strz00_1381)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 141 */
			{	/* Llib/binary.scm 142 */
				obj_t BgL_strz00_1441;

				if (STRINGP(BgL_strz00_1381))
					{	/* Llib/binary.scm 142 */
						BgL_strz00_1441 = BgL_strz00_1381;
					}
				else
					{	/* Llib/binary.scm 142 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol2058z00zz__binaryz00, BGl_string2056z00zz__binaryz00,
							BgL_strz00_1381, BGl_string2057z00zz__binaryz00,
							BINT(((long) 5641)));
						exit(-1);
					}
				return append_output_binary_file(BgL_strz00_1441);
			}
		}
	}



/* open-input-binary-file */
	BGL_EXPORTED_DEF obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t
		BgL_strz00_4)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 147 */
			return open_input_binary_file(BgL_strz00_4);
		}
	}



/* _open-input-binary-f2013 */
	obj_t BGl__openzd2inputzd2binaryzd2f2013zd2zz__binaryz00(obj_t
		BgL_envz00_1382, obj_t BgL_strz00_1383)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 147 */
			{	/* Llib/binary.scm 148 */
				obj_t BgL_strz00_1442;

				if (STRINGP(BgL_strz00_1383))
					{	/* Llib/binary.scm 148 */
						BgL_strz00_1442 = BgL_strz00_1383;
					}
				else
					{	/* Llib/binary.scm 148 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol2060z00zz__binaryz00, BGl_string2056z00zz__binaryz00,
							BgL_strz00_1383, BGl_string2057z00zz__binaryz00,
							BINT(((long) 5939)));
						exit(-1);
					}
				return open_input_binary_file(BgL_strz00_1442);
			}
		}
	}



/* close-binary-port */
	BGL_EXPORTED_DEF obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t
		BgL_portz00_5)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 153 */
			return close_binary_port(BgL_portz00_5);
		}
	}



/* _close-binary-port2014 */
	obj_t BGl__closezd2binaryzd2port2014z00zz__binaryz00(obj_t BgL_envz00_1384,
		obj_t BgL_portz00_1385)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 153 */
			{	/* Llib/binary.scm 154 */
				obj_t BgL_portz00_1443;

				if (BINARY_PORTP(BgL_portz00_1385))
					{	/* Llib/binary.scm 154 */
						BgL_portz00_1443 = BgL_portz00_1385;
					}
				else
					{	/* Llib/binary.scm 154 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol2062z00zz__binaryz00, BGl_string2064z00zz__binaryz00,
							BgL_portz00_1385, BGl_string2057z00zz__binaryz00,
							BINT(((long) 6237)));
						exit(-1);
					}
				return close_binary_port(BgL_portz00_1443);
			}
		}
	}



/* flush-binary-port */
	BGL_EXPORTED_DEF obj_t BGl_flushzd2binaryzd2portz00zz__binaryz00(obj_t
		BgL_portz00_6)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 159 */
			return bgl_flush_binary_port(BgL_portz00_6);
		}
	}



/* _flush-binary-port2015 */
	obj_t BGl__flushzd2binaryzd2port2015z00zz__binaryz00(obj_t BgL_envz00_1386,
		obj_t BgL_portz00_1387)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 159 */
			{	/* Llib/binary.scm 160 */
				obj_t BgL_portz00_1444;

				if (BINARY_PORTP(BgL_portz00_1387))
					{	/* Llib/binary.scm 160 */
						BgL_portz00_1444 = BgL_portz00_1387;
					}
				else
					{	/* Llib/binary.scm 160 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol2065z00zz__binaryz00, BGl_string2064z00zz__binaryz00,
							BgL_portz00_1387, BGl_string2057z00zz__binaryz00,
							BINT(((long) 6531)));
						exit(-1);
					}
				return bgl_flush_binary_port(BgL_portz00_1444);
			}
		}
	}



/* input-obj */
	BGL_EXPORTED_DEF obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t BgL_portz00_7)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 165 */
			return input_obj(BgL_portz00_7);
		}
	}



/* _input-obj2016 */
	obj_t BGl__inputzd2obj2016zd2zz__binaryz00(obj_t BgL_envz00_1388,
		obj_t BgL_portz00_1389)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 165 */
			{	/* Llib/binary.scm 166 */
				obj_t BgL_portz00_1445;

				if (BINARY_PORTP(BgL_portz00_1389))
					{	/* Llib/binary.scm 166 */
						BgL_portz00_1445 = BgL_portz00_1389;
					}
				else
					{	/* Llib/binary.scm 166 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol2067z00zz__binaryz00, BGl_string2064z00zz__binaryz00,
							BgL_portz00_1389, BGl_string2057z00zz__binaryz00,
							BINT(((long) 6817)));
						exit(-1);
					}
				return input_obj(BgL_portz00_1445);
			}
		}
	}



/* output-obj */
	BGL_EXPORTED_DEF obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t BgL_portz00_8,
		obj_t BgL_objz00_9)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 171 */
			return output_obj(BgL_portz00_8, BgL_objz00_9);
		}
	}



/* _output-obj2017 */
	obj_t BGl__outputzd2obj2017zd2zz__binaryz00(obj_t BgL_envz00_1390,
		obj_t BgL_portz00_1391, obj_t BgL_objz00_1392)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 171 */
			{	/* Llib/binary.scm 172 */
				obj_t BgL_portz00_1446;

				if (BINARY_PORTP(BgL_portz00_1391))
					{	/* Llib/binary.scm 172 */
						BgL_portz00_1446 = BgL_portz00_1391;
					}
				else
					{	/* Llib/binary.scm 172 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol2069z00zz__binaryz00, BGl_string2064z00zz__binaryz00,
							BgL_portz00_1391, BGl_string2057z00zz__binaryz00,
							BINT(((long) 7100)));
						exit(-1);
					}
				return output_obj(BgL_portz00_1446, BgL_objz00_1392);
			}
		}
	}



/* output-char */
	BGL_EXPORTED_DEF obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t BgL_portz00_10,
		unsigned char BgL_charz00_11)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 177 */
			return BGL_OUTPUT_CHAR(BgL_portz00_10, BgL_charz00_11);
		}
	}



/* _output-char2018 */
	obj_t BGl__outputzd2char2018zd2zz__binaryz00(obj_t BgL_envz00_1393,
		obj_t BgL_portz00_1394, obj_t BgL_charz00_1395)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 177 */
			{	/* Llib/binary.scm 178 */
				obj_t BgL_portz00_1448;

				unsigned char BgL_charz00_1449;

				if (BINARY_PORTP(BgL_portz00_1394))
					{	/* Llib/binary.scm 178 */
						BgL_portz00_1448 = BgL_portz00_1394;
					}
				else
					{	/* Llib/binary.scm 178 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol2071z00zz__binaryz00, BGl_string2064z00zz__binaryz00,
							BgL_portz00_1394, BGl_string2057z00zz__binaryz00,
							BINT(((long) 7395)));
						exit(-1);
					}
				{	/* Llib/binary.scm 178 */
					obj_t BgL_auxz00_1536;

					if (CHARP(BgL_charz00_1395))
						{	/* Llib/binary.scm 178 */
							BgL_auxz00_1536 = BgL_charz00_1395;
						}
					else
						{	/* Llib/binary.scm 178 */
							BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
								(BGl_symbol2071z00zz__binaryz00, BGl_string2073z00zz__binaryz00,
								BgL_charz00_1395, BGl_string2057z00zz__binaryz00,
								BINT(((long) 7395)));
							exit(-1);
						}
					BgL_charz00_1449 = CCHAR(BgL_auxz00_1536);
				}
				return BGL_OUTPUT_CHAR(BgL_portz00_1448, BgL_charz00_1449);
			}
		}
	}



/* input-char */
	BGL_EXPORTED_DEF obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t BgL_portz00_12)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 183 */
			{	/* Llib/binary.scm 184 */
				int BgL_charz00_1450;

				BgL_charz00_1450 = BGL_INPUT_CHAR(BgL_portz00_12);
				if (BGL_INT_EOFP(BgL_charz00_1450))
					{	/* Llib/binary.scm 184 */
						return BEOF;
					}
				else
					{	/* Llib/binary.scm 184 */
						return BCHAR(((long) (BgL_charz00_1450)));
		}}}
	}



/* _input-char2019 */
	obj_t BGl__inputzd2char2019zd2zz__binaryz00(obj_t BgL_envz00_1396,
		obj_t BgL_portz00_1397)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 183 */
			{	/* Llib/binary.scm 184 */
				obj_t BgL_portz00_1451;

				if (BINARY_PORTP(BgL_portz00_1397))
					{	/* Llib/binary.scm 184 */
						BgL_portz00_1451 = BgL_portz00_1397;
					}
				else
					{	/* Llib/binary.scm 184 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol2074z00zz__binaryz00, BGl_string2064z00zz__binaryz00,
							BgL_portz00_1397, BGl_string2057z00zz__binaryz00,
							BINT(((long) 7681)));
						exit(-1);
					}
				{	/* Llib/binary.scm 184 */
					int BgL_charz00_1452;

					BgL_charz00_1452 = BGL_INPUT_CHAR(BgL_portz00_1451);
					if (BGL_INT_EOFP(BgL_charz00_1452))
						{	/* Llib/binary.scm 184 */
							return BEOF;
						}
					else
						{	/* Llib/binary.scm 184 */
							return BCHAR(((long) (BgL_charz00_1452)));
		}}}}
	}



/* output-string */
	BGL_EXPORTED_DEF obj_t BGl_outputzd2stringzd2zz__binaryz00(obj_t
		BgL_portz00_13, obj_t BgL_stringz00_14)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 192 */
			return BINT(bgl_output_string(BgL_portz00_13, BgL_stringz00_14));
		}
	}



/* _output-string2020 */
	obj_t BGl__outputzd2string2020zd2zz__binaryz00(obj_t BgL_envz00_1398,
		obj_t BgL_portz00_1399, obj_t BgL_stringz00_1400)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 192 */
			{	/* Llib/binary.scm 193 */
				obj_t BgL_portz00_1453;

				obj_t BgL_stringz00_1454;

				if (BINARY_PORTP(BgL_portz00_1399))
					{	/* Llib/binary.scm 193 */
						BgL_portz00_1453 = BgL_portz00_1399;
					}
				else
					{	/* Llib/binary.scm 193 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol2076z00zz__binaryz00, BGl_string2064z00zz__binaryz00,
							BgL_portz00_1399, BGl_string2057z00zz__binaryz00,
							BINT(((long) 8047)));
						exit(-1);
					}
				if (STRINGP(BgL_stringz00_1400))
					{	/* Llib/binary.scm 193 */
						BgL_stringz00_1454 = BgL_stringz00_1400;
					}
				else
					{	/* Llib/binary.scm 193 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol2076z00zz__binaryz00, BGl_string2056z00zz__binaryz00,
							BgL_stringz00_1400, BGl_string2057z00zz__binaryz00,
							BINT(((long) 8047)));
						exit(-1);
					}
				return BINT(bgl_output_string(BgL_portz00_1453, BgL_stringz00_1454));
			}
		}
	}



/* input-string */
	BGL_EXPORTED_DEF obj_t BGl_inputzd2stringzd2zz__binaryz00(obj_t
		BgL_portz00_15, int BgL_lenz00_16)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 198 */
			return bgl_input_string(BgL_portz00_15, BgL_lenz00_16);
		}
	}



/* _input-string2021 */
	obj_t BGl__inputzd2string2021zd2zz__binaryz00(obj_t BgL_envz00_1401,
		obj_t BgL_portz00_1402, obj_t BgL_lenz00_1403)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 198 */
			{	/* Llib/binary.scm 199 */
				obj_t BgL_portz00_1455;

				int BgL_lenz00_1456;

				if (BINARY_PORTP(BgL_portz00_1402))
					{	/* Llib/binary.scm 199 */
						BgL_portz00_1455 = BgL_portz00_1402;
					}
				else
					{	/* Llib/binary.scm 199 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol2078z00zz__binaryz00, BGl_string2064z00zz__binaryz00,
							BgL_portz00_1402, BGl_string2057z00zz__binaryz00,
							BINT(((long) 8343)));
						exit(-1);
					}
				{	/* Llib/binary.scm 199 */
					obj_t BgL_auxz00_1581;

					if (INTEGERP(BgL_lenz00_1403))
						{	/* Llib/binary.scm 199 */
							BgL_auxz00_1581 = BgL_lenz00_1403;
						}
					else
						{	/* Llib/binary.scm 199 */
							BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
								(BGl_symbol2078z00zz__binaryz00, BGl_string2080z00zz__binaryz00,
								BgL_lenz00_1403, BGl_string2057z00zz__binaryz00,
								BINT(((long) 8343)));
							exit(-1);
						}
					BgL_lenz00_1456 = CINT(BgL_auxz00_1581);
				}
				return bgl_input_string(BgL_portz00_1455, BgL_lenz00_1456);
			}
		}
	}



/* input-fill-string! */
	BGL_EXPORTED_DEF int BGl_inputzd2fillzd2stringz12z12zz__binaryz00(obj_t
		BgL_portz00_17, obj_t BgL_strz00_18)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 204 */
			return bgl_input_fill_string(BgL_portz00_17, BgL_strz00_18);
		}
	}



/* _input-fill-string! */
	obj_t BGl__inputzd2fillzd2stringz12z12zz__binaryz00(obj_t BgL_envz00_1404,
		obj_t BgL_portz00_1405, obj_t BgL_strz00_1406)
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 204 */
			{	/* Llib/binary.scm 205 */
				int BgL_auxz00_1590;

				{	/* Llib/binary.scm 205 */
					obj_t BgL_portz00_1457;

					obj_t BgL_strz00_1458;

					if (BINARY_PORTP(BgL_portz00_1405))
						{	/* Llib/binary.scm 205 */
							BgL_portz00_1457 = BgL_portz00_1405;
						}
					else
						{	/* Llib/binary.scm 205 */
							BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
								(BGl_symbol2081z00zz__binaryz00, BGl_string2064z00zz__binaryz00,
								BgL_portz00_1405, BGl_string2057z00zz__binaryz00,
								BINT(((long) 8641)));
							exit(-1);
						}
					if (STRINGP(BgL_strz00_1406))
						{	/* Llib/binary.scm 205 */
							BgL_strz00_1458 = BgL_strz00_1406;
						}
					else
						{	/* Llib/binary.scm 205 */
							BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
								(BGl_symbol2081z00zz__binaryz00, BGl_string2056z00zz__binaryz00,
								BgL_strz00_1406, BGl_string2057z00zz__binaryz00,
								BINT(((long) 8641)));
							exit(-1);
						}
					BgL_auxz00_1590 =
						bgl_input_fill_string(BgL_portz00_1457, BgL_strz00_1458);
				}
				return BINT(BgL_auxz00_1590);
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__binaryz00()
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__binaryz00()
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00()
	{
		AN_OBJECT;
		{	/* Llib/binary.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19979746),
				BSTRING_TO_STRING(BGl_string2083z00zz__binaryz00));
			BGl_modulezd2initializa7ationz75zz__intextz00(((long) 77210208),
				BSTRING_TO_STRING(BGl_string2083z00zz__binaryz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 327583589),
				BSTRING_TO_STRING(BGl_string2083z00zz__binaryz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 503395061),
				BSTRING_TO_STRING(BGl_string2083z00zz__binaryz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 429190545),
				BSTRING_TO_STRING(BGl_string2083z00zz__binaryz00));
			return
				BGl_modulezd2initializa7ationz75zz__threadz00(((long) 500588328),
				BSTRING_TO_STRING(BGl_string2083z00zz__binaryz00));
		}
	}

#ifdef __cplusplus
}
#endif
